﻿using FlowerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; } = string.Empty;
        public string Address { get; set; } = string.Empty;
        public DateTime DateOpen { get; set; }
        public int MaxCapacity { get; set; }
        public Dictionary<int, (IFlowerModel, int)> ShopFlowers { get; set; } = new();
    }
}
